{% extends "base.html" %}
{% block title %}Dashboard{% endblock %}
{% block body %}
    {{ super() }}

    <!--  https://mdbootstrap.com/content/bootstrap-table-pagination -->
    <!--Table-->    

    <!-- Solo lo mostramos a los estudiantes -->
    {% if user.esEstudiante() == True %}
    <div class="container">
        <div class="row">
          <div class="col-sm">
            <div class="card">            
                <!-- <img class="card-img-top img-fluid" src="static/imgs/book.png" width="128px" height="128px">      -->
                <!-- <img class="card-img-top img-fluid" src="static/imgs/book.png" width="32" height="32">      -->
                <div class="card-body">
                  <h5 class="card-title">¿Cómo empezar?</h5>
                  <p class="card-text">Para gestionar tu TFG, sigue los siguientes pasos:
                    <ol>
                      <li>Busca un TFG que te resulte interesante, y contacta por correo con el tutor del mismo.</li>
                      <li>Si ambas partes llegáis a un acuerdo, el tutor te asignará el trabajo en el sistema.</li>
                      <li>A partir de ese momento, y transcurridos al menos dos meses, podrás solicitar fecha de lectura.</li>
                    </ol>
                  </p>
                  <!-- <a href="#" class="btn btn-primary disabled" disabled>Más info >></a> -->
                </div>
              </div>
          </div>
          <div class="col-sm">
            <div class="card" style="width: 18rem;">
                <!-- <img class="card-img-top" src="static/imgs/book.png" alt="Card image cap"> -->
                <div class="card-body">
                  <h5 class="card-title">Normativa</h5>
                  <p class="card-text">Aquí encontrarás toda la normativa detallada sobre la gestión de los TFGs.</p>
                  <a href="https://moodle.uam.es/course/view.php?id=59889&section=0" class="btn btn-primary">Más info >></a>
                </div>
              </div>
          </div>          
        </div>
    {% endif %}
    
         
            <label class="my-1 mr-2"><b>Mis TFGs</b></label>
            <table id="tableListadoTFG" class="table">
                <thead>
                  <tr>
                    <th scope="col">Código</th>
                    <th scope="col">Título</th>
                    <th scope="col">Estado</th>
                  </tr>
                </thead>
                <tbody>
                    {% for tribunal in tribunales %}
                    {% if tfg.estado == 0 %}
                <tr style="background-color:rgb(218, 247, 166)">
                {% elif tfg.estado == 1 %}
                <tr style="background-color:rgb(218, 247, 166)">
                {% elif tfg.estado == 2 %}
                <tr style="background-color:rgb(245, 238, 9)">
                {% elif tfg.estado == 3 %}
                <tr style="background-color:rgb(254, 136, 3)">
                {% elif tfg.estado == 4 %}
                <tr style="background-color:rgb(174, 3, 254)">
                {% elif tfg.estado == 5 %}
                <tr style="background-color:rgb(3, 125, 254)">
                {% elif tfg.estado == 6 %}
                <tr style="background-color:rgb(3, 254, 7)">
                {% else %}
                <tr style="background-color:rgb(246, 217, 117)">
                {% endif %}
                      
                        <th scope="row">{{ tribunal.codigo }}</th>
                        <td><a href="detalleTFG?tfg_codigo={{ tribunal.codigo }}">{{ tribunal.titulo }}</a></td>
                        <td>{{ tribunal.estadoString }}</td>
                    </tr>
                    {% else %}
                        <li><em>No existen TFGs defendidos</em></li>
                    {% endfor %}
                    
                    {% for tfg in tfgs %}
                    {% if tfg.estado == 0 %}
                    <tr style="background-color:rgb(218, 247, 166)">
                    {% elif tfg.estado == 1 %}
                    <tr style="background-color:rgb(154, 254, 189)">
                    {% elif tfg.estado == 2 %}
                    <tr style="background-color:rgb(254, 192, 154)">
                    {% elif tfg.estado == 3 %}
                    <tr style="background-color:rgb(254, 154, 154)">
                    {% elif tfg.estado == 4 %}
                    <tr style="background-color:rgb(186, 154, 254)">
                    {% elif tfg.estado == 5 %}
                    <tr style="background-color:rgb(154, 210, 254)">
                    {% elif tfg.estado == 6 %}
                    <tr style="background-color:rgb(154, 254, 236)">
                    {% else %}
                    <tr style="background-color:rgb(165, 254, 154)">
                    {% endif %}
                      
                    <th scope="row">{{ tfg.codigo }}</th>
                    <td><a href="detalleTFG?tfg_codigo={{ tfg.codigo }}">{{ tfg.titulo }}</a></td>
                    <td>{{ tfg.estadoString }}</td>
                    </tr>
                    {% else %}
                        <li><em>No existen TFGs definidos</em></li>
                    {% endfor %}    

                         
                </tbody>
              </table>                                  
                
           
    
{% endblock %}